View_Video = {};

View_Video.preloader = true;
View_Video.player    = false;

View_Video.buttonsError = {
	'enter':'Выход',
	'return':'Главное меню'
};

View_Video.buttonsVideo = {
	
	'lr':'Листать мультфильмы',
	'enter':'Смотреть мультфильм',
	'return':'Главное меню'
}

View_Video.buttonsBuy = {
	
	'lr':'Листать мультфильмы',
	'enter':'Купить мультфильм',
	'return':'Назад'
}

View_Video.buttonsToBuy = {
	'lr':'Листать мультфильмы',
	'enter' : 'Перейти в магазин мультфильмов',
	'return' : 'Главное меню'
}

View_Video.showButtonsToBuy = function()
{
	$('#helpbar').idcHelpbar( View_Video.buttonsToBuy );
}

View_Video.buttonsBuyMes = {
	
	'return':'Назад к списку'
}

View_Video.showButtonsVideo = function()
{
	alert('show buttons video');
	$('#helpbar').idcHelpbar(View_Video.buttonsVideo);
}

View_Video.showButtonsVideoPlaying = function()
{
	alert("!1!1!1!");
	$('#helpbar').idcHelpbar({'enter':'На весь экран', 'return':'К списку мультфильмов'});
}



View_Video.showButtonsBuy = function()
{
	$('#helpbar').idcHelpbar(View_Video.buttonsBuy);
}


View_Video.showPreloader = function()
{
	$('#helpbar').stop(true);
	$('#helpbar').animate({'opacity':'0.2'}, 300);
	View_Video.preloader = true;
	$('#preloader').css('display', 'block');
}

View_Video.hidePreloader = function()
{
	$('#helpbar').stop(true);
	$('#helpbar').animate({'opacity':'1'}, 300);
	View_Video.preloader = false;
	$('#preloader').css('display', 'none');
}


View_Video.previewAnimated = function()
{
	//var result = ($('#slider :animated').length > 0) || ($('#helpbar:animated').length > 0)
//	var result = $('#slider').idcSlider('animated') || 
//				($('#video_controller:animated').length > 0) ||
//				($('#slider :animated').length > 0);
			
	var result = $(':animated').length > 0;
	return result;
}

View_Video.showPlayer = function()
{
	
	var t0 = '-43px';
	var t1 = '0px';

	var item = $('#video_controller');
	
	item.css('top', t0);
	
	item.css('display', 'block');
	item.css('opacity', '1');
	item.animate({'top':t1}, 300, function(){
		View_Video.player = true;
	});
}

View_Video.hidePlayer = function()
{

	var t0 = '0px';
	var t1 = '-43px';
	
	var item = $('#video_controller');
	
	item.css('top', t0);
	item.animate({'top':t1}, 100, function(){
		item.css('display', 'none');
		View_Video.player = false;
	});
}

View_Video.upPlayer = function()
{
	$('#video_controller').css('top', '0px');
}

View_Video.downPlayer = function()
{
	$('#video_controller').css('top', '0px');
}


View_Video.showBuyBackgroundBoy = function()
{
	$('#boy_main').css('display', 'block');
}

View_Video.showBuyBackgroundGirl = function()
{
	$('#girl_main').css('display', 'block');
}

View_Video.hideBuyBackgroundBoy = function()
{
	$('#boy_main').css('display', 'none');
}

View_Video.hideBuyBackgroundGirl = function()
{
	$('#girl_main').css('display', 'none');
}


View_Video.setVolume = function(v)
{
	var w = Math.round((v / 100) * 60);
	$('#volume_bar').css('width', w+'px')
}


View_Video.play = function()
{
	
	$('#video_controller #play_pause').removeClass('play');
	$('#video_controller #play_pause').addClass('pause');
	$('#video_controller #back').css('opacity', '1');
	$('#video_controller #forward').css('opacity', '1');
	$('#video_controller #stop').css('opacity', '1');
}

View_Video.pause = function()
{
	$('#video_controller #play_pause').removeClass('pause');
	$('#video_controller #play_pause').addClass('play');
	//$('#video_controller #back').css('opacity', '0.5');
	//$('#video_controller #forward').css('opacity', '0.5');
}

View_Video.stop = function()
{
	$('#video_controller #back').css('opacity', '0.5');
	$('#video_controller #forward').css('opacity', '0.5');
	$('#video_controller #stop').css('opacity', '0.5');
	$('#video_controller #play_pause').removeClass('pause');
	$('#video_controller #play_pause').addClass('play');
	
	insertHTML('total_time', '');
	
	
	View_Video.setProgressBar(0);
	insertHTML('cur_time', '');
}

View_Video.setProgressBar = function(cur, total)
{
	var w;
	if (total) {
	
		var p = cur / total;
		w = parseInt(152 * p, 10);
	}
	else {
		w = 0;
	}
		
	$('#video_controller #progress_bar').css('width', w+'px');
	
	insertHTML('cur_time', View_Video.timeFormat(cur));
}

View_Video.setTotalTime = function(t)
{
	insertHTML('total_time', '&nbsp;/&nbsp;'+View_Video.timeFormat(t));
}

View_Video.timeFormat = function(t) 
{
	
	var m = Math.floor((t%3600000)/60000);
	var s = Math.floor((t%60000)/1000);
	
	if (m<10) m = '0'+m;
	if (s<10) s = '0'+s;

	return m+':'+s;
}

View_Video.setMute = function(mute)
{
	if (mute) {
		$('#volume_bar').css('display', 'none');
		$('#sound').removeClass('on');
		$('#sound').addClass('off');
	}
	else {
		$('#volume_bar').css('display', 'block');
		$('#sound').removeClass('off');
		$('#sound').addClass('on');
	}
}

View_Video.hideSoundControl = function()
{
	$('#volume_bar').css('display', 'none');
	$('#volume_bar_back').css('display', 'none');
	$('#sound').css('display', 'none');
}


View_Video.startVideo = function()
{
	View_Video.player = false;
	$('#video_controller').css('top', '-45px');
	$('#scene_video').css('display', 'none');
	$('#helpbar').css('display', 'none');
}

View_Video.stopVideo = function()
{
	View_Video.player = true;
	$('#video_controller').css('top', '-43px');
	$('#scene_video').css('display', 'none');
	$('#helpbar').css('display', 'none');
}